Package org.apache.tapestry5.services

# Enum RelativeElementPosition

java.lang.Object
java.lang.Enum<RelativeElementPosition>
org.apache.tapestry5.services.RelativeElementPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<RelativeElementPosition>`, `java.lang.constant.Constable`

public enum RelativeElementPosition extends Enum<RelativeElementPosition>
Used by `HiddenFieldLocationRules` to identify where a hidden field may be placed relative to a particular element.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  The hidden field may be placed after the element, as a sibling.
  `INSIDE`
  The hidden field may be placed inside the element, as a child.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RelativeElementPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RelativeElementPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSIDE

    public static final RelativeElementPosition INSIDE
    The hidden field may be placed inside the element, as a child.

  - ### AFTER

    public static final RelativeElementPosition AFTER
    The hidden field may be placed after the element, as a sibling.

- ## Method Details

  - ### values

    public static RelativeElementPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RelativeElementPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null